<app-header
    title="Transfert"
    subTitle="Selectionnez un praticien"
    color="white"
    data-test-id="header"
></app-header>
<ion-content>
    <!-- searching fields -->
    <ion-row
        class="ion-justify-content-center ion-padding-top"
        *ngIf="list.length > 10"
    >
        <ion-col size="11">
            <form data-test-id="form" [formGroup]="searchForm">
                <app-input-text
                    [control]="searchForm"
                    name="search"
                    inputType="text"
                    iconName="search"
                    additionalClass="radius-16 border-2 border-solid ion-align-items-center has-background-pale-grey-light"
                ></app-input-text>
            </form>
        </ion-col>
    </ion-row>

    <!-- Doctor List -->
    <app-doctorlist
        [list]="list"
        [loading]="loadDoctor"
        [filterTerm]="searchForm.value.search"
        (itemSelect)="openModal($event)"
    ></app-doctorlist>

    <ion-modal
        #cancelmodal
        [initialBreakpoint]="1"
        [breakpoints]="[0, 1]"
        [isOpen]="isOpen"
        (ionModalWillDismiss)="closeModal()"
        [showBackdrop]="false"
        class="cancelmodal"
    >
        <ng-template>
            <!-- modal title -->
            <div>
                <ion-header class="cancelmodal__title">
                    <ion-toolbar
                        color="white"
                        class="pl-10 radius-tl-50 radius-tr-50"
                    >
                        <ion-text
                            class="size-20 ion-text-left has-text-secondary weight-bold"
                            [ngClass]="{'is-green-light': !submitError, 'is-danger': modalContent && submitError}"
                        >
                            {{ modalTitle }}</ion-text
                        >
                    </ion-toolbar>
                </ion-header>
                <!-- submit response -->
                <div
                    *ngIf="modalContent; else reason"
                    class="pl-10 size-11 mt-10"
                >
                    <div class="height-150">
                        <ion-text>{{modalContent}}</ion-text>
                        <div
                            class="is-dark mt-10"
                            *ngIf="selectedDoctor && !submitError"
                        >
                            Le médecin
                            <strong>
                                Dr {{selectedDoctor.firstname}}
                                {{selectedDoctor.name}}</strong
                            >
                            se chargera de la Télé consultation
                        </div>
                    </div>

                    <!-- go to diaries button -->
                    <ion-row
                        class="ion-justify-content-center ion-align-items-center"
                    >
                        <ion-col size="8" class="pt-0">
                            <app-button
                                title="Voir mes Rendez-vous"
                                [loading]="btnloading"
                                shape="round"
                                expand="full"
                                fill="solid"
                                (click)="goToDiaries()"
                                (keyPress)="goToDiaries()"
                                class="ion-no-padding size-17 is-white has-text-secondary"
                                id="open-modal"
                            >
                            </app-button>
                        </ion-col>
                    </ion-row>
                </div>
                <ng-template #reason>
                    <div class="height-160">
                        <!-- input fields -->
                        <app-input-text
                            [control]="reasonForm"
                            name="reason"
                            inputType="textarea"
                            [rows]="4"
                            [errorMessages]="[errors.required, errors.lettersOnly]"
                            [validators]="[requiredValidator, textValidator]"
                            [hasBorder]="false"
                            class="size-11"
                        >
                        </app-input-text>
                    </div>
                    <!-- submit button -->
                    <ion-row
                        class="ion-justify-content-center ion-align-items-center"
                    >
                        <ion-col class="pt-0" size="8">
                            <app-button
                                title="Soumettre"
                                [loading]="btnloading"
                                shape="round"
                                expand="full"
                                fill="solid"
                                (click)="onSubmit()"
                                (keyPress)="onSubmit()"
                                class="ion-no-padding size-17 is-white has-text-secondary"
                                id="open-modal"
                                data-test-id="diaries"
                            >
                            </app-button>
                        </ion-col>
                    </ion-row>
                </ng-template>
            </div>
        </ng-template>
    </ion-modal>
</ion-content>

<ion-footer class="ion-no-border">
    <ion-toolbar>
        <!-- cancel or transfer modal -->
        <ion-row
            class="ion-justify-content-center ion-align-items-center has-background-white"
        >
            <ion-col size="10" class="mb-20">
                <app-button
                    title="Non, je préfère annuler"
                    shape="round"
                    expand="full"
                    fill="solid"
                    [loading]="btnloading"
                    class="ion-no-padding has-text-secondary size-17"
                    (click)="openModal()"
                    (keyPress)="openModal()"
                >
                </app-button>
            </ion-col>
        </ion-row>
    </ion-toolbar>
</ion-footer>
